Skip to main content

eftpos Voids


Overview

Use this information to void a sale or credit transaction that was submitted but not yet processed by the processor. A void for a refund is not supported currently.

For an overview of supported eftpos transaction types and integrations, see eftpos Sale.

Supported Processor

Supported processor: eftpos

Endpoints

Void a Sale Transaction

POST /pts/v2/payments/{id}/voids

POST /pts/v2/payments/{id}/voids

The {id} is the transaction ID returned in the sale response.

Void a Credit Transaction

POST /pts/v2/credits/{id}/voids

POST /pts/v2/credits/{id}/voids

The {id} is the transaction ID returned in the credit response.

Example

{  "clientReferenceInformation": {    "code": "RTS-Void",    "comments": "eftpos void",    "partner": {      "thirdPartyCertificationNumber": "testTPCN",      "developerId": "eftpos12",      "solutionId": "eftpos123"    }  }}
{  "_links": {    "self": {      "method": "GET",      "href": "/pts/v2/voids/7580633387756828103814"    }  },  "clientReferenceInformation": {    "code": "RTS-Void",    "comments": "eftpos void",    "partner": {      "developerId": "eftpos12",      "solutionId": "eftpos123"    }  },  "id": "7580633387756828103814",  "orderInformation": {    "amountDetails": {      "currency": "AUD"    }  },  "processorInformation": {    "retrievalReferenceNumber": "522493541022",    "settlementDate": "0917",    "responseCode": "00"  },  "reconciliationId": "7580632501046798503812",  "status": "VOIDED",  "submitTimeUtc": "2025-09-16T22:55:39Z",  "voidAmountDetails": {    "currency": "aud",    "voidAmount": "100.00"  }}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.commentsSet the value to eftpos void.
clientReferenceInformation.partner.developerId provides the value for this field.
clientReferenceInformation.partner.solutionId provides the value for this field.
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.

Last published: September 29, 2026